using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace WTD_Editor
{
    public class Evolution
    {
        // attributes
        public string name;
        public string info;
        public int icon_idx;
        public int build_icon_idx;
        public int price;
        public int min_round;
        public int max_towers;
        [XmlIgnore]
        public List<Tower> towers;
        public List<int> towers_idx;
        public int usedby;

        // constructor
        public Evolution()
        {
            usedby = 0;
            name = "";
            info = "";
            icon_idx = 6;
            build_icon_idx = 5;
            price = 0;
            min_round = 0;
            max_towers = 0;
            towers = new List<Tower>();
            towers_idx = new List<int>();
        }

        override public string ToString()
        {
            return this.name;
        }
    }
}
